import request from "@/utils/request";

/** 文献列表 */
export function listLiterature(param) {
  return request({
    url: "/customer/literature/list",
    method: "get",
    params: param,
  });
}

/** 增加下载次数 */
export function addDownloadCount(id) {
  return request({
    url: "/customer/literature/addcount",
    method: "get",
    params: {
      id,
    },
  });
}

/** 获取下载地址 */
export function getFileUrl(param) {
  return request({
    url: "/customer/literature/geturl",
    method: "get",
    params: param,
  });
}